include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

shellcheck:
    tags:
      - gitlab-org
    stage: build
    image: koalaman/shellcheck-alpine
    script:
      - shellcheck ./build_image.sh build-image/entry_point.sh

.docker-image:
    tags:
      - gitlab-org
    stage: build
    resource_group: ${CI_COMMIT_REF_SLUG}_${CI_JOB_NAME}
    image: registry.gitlab.com/gitlab-org/frontend/frontend-build-images/build-image
    script:
      - sh ./build_image.sh "$CI_JOB_NAME"
    rules:
      - changes:
        - ${CI_JOB_NAME}/*
        - build_image.sh
        when: always
      - when: manual

build-image:
    extends: .docker-image

semantic-release:
    extends: .docker-image

node-fips:
    timeout: 2h 30m
    tags:
      - fips-runner
    extends: .docker-image
